Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 593309 - RHEL6 docs: Add information on minimal platform installation via kickstart
RHEL6 docs: Add information on minimal platform installation via kickstart
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Ruediger Landmann
: Documentation
: 548248 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-18 09:42 EDT by Miroslav Vadkerti
Modified: 2012-07-26 09:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 10:33:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Vadkerti 2010-05-18 09:42:26 EDT
Description of problem:
When installing minimal platform via kickstart file it has to include:
%packages --nobase
This should be documented for RHEL6.

Sample kickstart file used for testing minimal platform:
http://nest.test.redhat.com/mnt/qa/scratch/mvadkert/minimal_platform/minimal_platform-1.0.ks

More info on mimal platform here:
https://bu-platform.devel.redhat.com/PMRHEL6/rhel6/features/packaging-and-distribution/minimal-package-install
Comment 2 Miroslav Vadkerti 2010-05-18 09:44:52 EDT
As minaml platform is a blocker feature, proposed blocker flag
Comment 3 RHEL Product and Program Management 2010-05-18 09:55:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Ryan Lerch 2010-05-18 17:22:23 EDT
Component changed to the Installation Guide.
Comment 5 Miroslav Vadkerti 2010-05-20 15:54:25 EDT
Please see also the issue about add-on repos what need s to be properly documented:

https://bugzilla.redhat.com/show_bug.cgi?id=561164#c82
Comment 6 Ruediger Landmann 2010-06-21 20:36:34 EDT
*** Bug 548248 has been marked as a duplicate of this bug. ***
Comment 7 Ruediger Landmann 2010-06-23 02:41:44 EDT
Description of minimal installation expanded in "9.17. Package Group Selection" in build 0-67 onwards:

"Minimal
    This option provides only the packages essential to run Red Hat Enterprise Linux. A minimal installation provides the basis for a single-purpose server or desktop appliance and maximizes performance and security on such an installation."

Also use of --nobase now refers to minimal installation by name in "32.5. Package Selection":

"--nobase
    Do not install the @Base group. Use this option to perform a minimal installation, for example, for a single-purpose server or desktop appliance."

I still need to document add-on repos.
Comment 8 Ruediger Landmann 2010-06-23 21:36:55 EDT
Adding repos documented in build 0-68 -- "9.17.1. Installing from Additional Repositories"
Comment 9 Miroslav Vadkerti 2010-06-24 01:01:10 EDT
Where can I find the latest build of Installation Docs please?
Comment 11 Miroslav Vadkerti 2010-06-24 03:32:33 EDT
Thanks, the changes seem OK to me.
Comment 13 releng-rhel@redhat.com 2010-11-11 10:33:48 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.